<?php
/**
 * Add these flaticons to megamenu
 */
if(!class_exists("Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu")) {
    class Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu {
        public function __construct($data = [], $args = null) {
            add_filter("mascot_mega_menu/get_icons", array($this, 'icon_list'));
            add_action( 'wp_enqueue_scripts', array($this, 'add_flaticon_style'));
            add_action( 'admin_enqueue_scripts', array($this, 'add_flaticon_style'));
        }

        public function icon_list($icons){
            $custom_icons = [
                'Flaticon Pack' => array(
                    array("flaticon-asterisk" => "flaticon-asterisk"),
                    array("flaticon-engineering" => "flaticon-engineering"),
                    array("flaticon-cyber-security" => "flaticon-cyber-security"),
                    array("flaticon-ux-design" => "flaticon-ux-design"),
                    array("flaticon-cloud-computing" => "flaticon-cloud-computing"),
                    array("flaticon-coding" => "flaticon-coding"),
                    array("flaticon-service" => "flaticon-service"),
                    array("flaticon-start-up" => "flaticon-start-up"),
                    array("flaticon-customer-service" => "flaticon-customer-service"),
                    array("flaticon-award" => "flaticon-award"),
                    array("flaticon-practice" => "flaticon-practice"),
                    array("flaticon-technical-support" => "flaticon-technical-support"),
                    array("flaticon-flood" => "flaticon-flood"),
                    array("flaticon-quotation" => "flaticon-quotation"),
                    array("flaticon-innovation" => "flaticon-innovation"),
                    array("flaticon-cyber-security-1" => "flaticon-cyber-security-1"),
                    array("flaticon-quote" => "flaticon-quote"),
                    array("flaticon-target" => "flaticon-target"),
                    array("flaticon-vision" => "flaticon-vision"),
                    array("flaticon-planning" => "flaticon-planning")
                ),
            ];
            $icons = array_merge($custom_icons, $icons);
            return $icons;
        }
        function add_flaticon_style() {
            wp_enqueue_style( 'flaticon-set-roket', MASCOT_CORE_ROKET_URL_PATH . 'assets/flaticon-set-roket/style.css' );
        }
    }
    new Mascot_Menuiconpicker_Add_Flaticon_to_Megamenu();
}