<!-- News Block -->
<div class="blog-item-current-style1">
  <?php if ( $show_featured_image == 'yes' ) : ?>
    <div class="entry-header">
      <?php roket_get_post_thumbnail( $post_format, $featured_image_size ); ?>
    </div>
  <?php endif; ?>
  <div class="entry-content">
    <?php if ( $show_post_meta == 'yes' ) : ?>
      <?php
      $post_meta_options_array = explode(',', $post_meta_options);
      if ( in_array( $show_post_meta_over_featured_image, $post_meta_options_array ) ) {
        ?>
        <div class="post-single-meta">
          <?php roket_post_shortcode_single_meta( $show_post_meta_over_featured_image ); ?>
        </div>
        <?php
      }
      ?>
    <?php endif; ?>

    <?php if ( $show_title == 'yes' ) : ?>
      <div class="title-holder">
        <?php the_title( '<'.esc_attr( $title_tag ).' class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></'.esc_attr( $title_tag ).'>' ); ?>
      </div>
    <?php endif; ?>

    <?php if ( $show_excerpt == 'yes' ) : ?>
      <div class="post-excerpt">
        <?php if ( empty($excerpt_length) ) { ?>
          <?php roket_get_excerpt(); ?>
        <?php } else { ?>
          <?php roket_get_excerpt($excerpt_length); ?>
        <?php } ?>
      </div>
    <?php endif; ?>

    <div class="bottom-box">
      <?php if ( $show_post_meta == 'yes' ) : ?>
      <?php roket_post_shortcode_meta( $post_meta_options, array( $show_post_meta_over_featured_image ) ); ?>
      <?php endif; ?>
      <?php if ( $show_view_details_button == 'yes' ) : ?>
        <a href="<?php the_permalink();?>" class="read-more"><?php echo esc_html( $view_details_button_text  ); ?> <i class="fa fa-angle-double-right"></i></a>
      <?php endif; ?>
    </div>

  </div>
    <div class="clearfix"></div>
</div>